Summary:         A unit testing framework for C
Name:            check
Version:         0.9.14
Release:         1%{?dist}%{?pext}
License:         LGPL
Group:           System Environment/Libraries
Source0:         http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
URL:             http://%{name}.sourceforge.net/
Buildroot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:          Arien Malec <arien.malec@gmail.com>

%description
Check is a unit testing framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are
run in a separate address space, so Check can catch both assertion failures
and code errors that cause segmentation faults or other signals. The output
from unit tests can be used within source code editors and IDEs.


%package         devel
Summary:         Development tools for Check
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description     devel
The %{name}-devel package contains the libraries and header files for
developing software using Check.


%package         static
Summary:         Static libraries for Check
Group:           Development/Libraries
Requires:        %{name}-devel = %{version}-%{release}

%description     static
The %{name}-static package contains the statically linkable libraries for
Check.


%prep
%setup -q

# Prepare docs
%{__cp} checkmk/README README.checkmk


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--enable-static                                \
	--enable-shared

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f  ${RPM_BUILD_ROOT}%{_libdir}/libcheck.so.?
%{__rm} -f  ${RPM_BUILD_ROOT}%{_infodir}/dir
%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}


%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun devel
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING* *ChangeLog*
%doc INSTALL NEWS README THANKS TODO
%{_libdir}/libcheck.so.*

%files devel
%defattr(-,root,root)
%doc doc/example README.checkmk
%doc checkmk/examples/*.ts xml/*.xslt
%{_bindir}/checkmk
%{_includedir}/%{name}.h
%{_includedir}/%{name}_stdint.h
%{_libdir}/libcheck.la
%{_libdir}/libcheck.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_infodir}/%{name}.info*
%{_mandir}/man1/checkmk.1*

%files static
%defattr(-,root,root)
%{_libdir}/libcheck.a


%changelog
* Fri Aug 08 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.14-1
- New version (0.9.14)

* Thu Jun 05 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.13-1
- New version (0.9.13)

* Wed Mar 05 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.12-1
- New version (0.9.12)

* Thu Sep 01 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.8-1
- Initial build
